[Bf-blender-cvs] SVN commit: /data/svn/bf-blender [40703] trunk/lib/win64: adding gettext binary 0.18.1 in the win64 lib folder (same as windows)

Dalai Felinto dfelinto at gmail.com
Fri Sep 30 01:51:41 CEST 2011


Revision: 40703
          http://projects.blender.org/scm/viewvc.php?view=rev&root=bf-blender&revision=40703
Author:   dfelinto
Date:     2011-09-29 23:51:41 +0000 (Thu, 29 Sep 2011)
Log Message:
-----------
adding gettext binary 0.18.1 in the win64 lib folder (same as windows)
freshly built with Mingw in a Windows7 64bits (I built a i686 architecture though).

Binaries needed to update the .po and .pot files. It's hard/impossible to find them online for windows.
Adding a bit more than we need, but those are 1~2 MB that will allow for other po things we may want to do in the future.
-- including a patch I have to use to build in MingW

Added Paths:
-----------
    trunk/lib/win64/binaries/
    trunk/lib/win64/binaries/Readme.txt
    trunk/lib/win64/binaries/gettext/
    trunk/lib/win64/binaries/gettext/autopoint
    trunk/lib/win64/binaries/gettext/envsubst.exe
    trunk/lib/win64/binaries/gettext/gettext.exe
    trunk/lib/win64/binaries/gettext/gettext.sh
    trunk/lib/win64/binaries/gettext/gettextize
    trunk/lib/win64/binaries/gettext/libasprintf-0.dll
    trunk/lib/win64/binaries/gettext/libgettextlib-0-18-1.dll
    trunk/lib/win64/binaries/gettext/libgettextpo-0.dll
    trunk/lib/win64/binaries/gettext/libgettextsrc-0-18-1.dll
    trunk/lib/win64/binaries/gettext/libintl-8.dll
    trunk/lib/win64/binaries/gettext/msgattrib.exe
    trunk/lib/win64/binaries/gettext/msgcat.exe
    trunk/lib/win64/binaries/gettext/msgcmp.exe
    trunk/lib/win64/binaries/gettext/msgcomm.exe
    trunk/lib/win64/binaries/gettext/msgconv.exe
    trunk/lib/win64/binaries/gettext/msgen.exe
    trunk/lib/win64/binaries/gettext/msgexec.exe
    trunk/lib/win64/binaries/gettext/msgfilter.exe
    trunk/lib/win64/binaries/gettext/msgfmt.exe
    trunk/lib/win64/binaries/gettext/msggrep.exe
    trunk/lib/win64/binaries/gettext/msginit.exe
    trunk/lib/win64/binaries/gettext/msgmerge.exe
    trunk/lib/win64/binaries/gettext/msgunfmt.exe
    trunk/lib/win64/binaries/gettext/msguniq.exe
    trunk/lib/win64/binaries/gettext/ngettext.exe
    trunk/lib/win64/binaries/gettext/recode-sr-latin.exe
    trunk/lib/win64/binaries/gettext/xgettext.exe
    trunk/lib/win64/binaries/gettext-0.18.1.diff

Added: trunk/lib/win64/binaries/Readme.txt
===================================================================
--- trunk/lib/win64/binaries/Readme.txt	                        (rev 0)
+++ trunk/lib/win64/binaries/Readme.txt	2011-09-29 23:51:41 UTC (rev 40703)
@@ -0,0 +1,7 @@
+gettext-0.18.1
+^^^^^^^^^^^^
+compiled with Mingw 1.0
+I had to patch the code to slient a warning on gcc (see gettext-0.18.1.diff).
+Those files are needed to generated .po/.pot and .mo files (for i18n)
+-- September, 29th, 2011
+

Added: trunk/lib/win64/binaries/gettext/autopoint
===================================================================
--- trunk/lib/win64/binaries/gettext/autopoint	                        (rev 0)
+++ trunk/lib/win64/binaries/gettext/autopoint	2011-09-29 23:51:41 UTC (rev 40703)
@@ -0,0 +1,717 @@
+#! /bin/sh
+#
+# Copyright (C) 2002-2010 Free Software Foundation, Inc.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
+# This file is meant for authors, maintainers, co-maintainers or installers
+# of packages which are internationalized with the help of GNU gettext.  For
+# further information how to use it consult the GNU gettext manual.
+
+progname=$0
+package=gettext-tools
+version=0.18.1
+
+# Set variables
+# - gettext_dir     directory where the sources are stored.
+prefix="/usr/local"
+datarootdir="${prefix}/share"
+gettext_dir="${datarootdir}/gettext"
+
+# func_tmpdir
+# creates a temporary directory.
+# Sets variable
+# - tmp             pathname of freshly created temporary directory
+func_tmpdir ()
+{
+  # Use the environment variable TMPDIR, falling back to /tmp. This allows
+  # users to specify a different temporary directory, for example, if their
+  # /tmp is filled up or too small.
+  : ${TMPDIR=/tmp}
+  {
+    # Use the mktemp program if available. If not available, hide the error
+    # message.
+    tmp=`(umask 077 && mktemp -d "$TMPDIR/gtXXXXXX") 2>/dev/null` &&
+    test -n "$tmp" && test -d "$tmp"
+  } ||
+  {
+    # Use a simple mkdir command. It is guaranteed to fail if the directory
+    # already exists.  $RANDOM is bash specific and expands to empty in shells
+    # other than bash, ksh and zsh.  Its use does not increase security;
+    # rather, it minimizes the probability of failure in a very cluttered /tmp
+    # directory.
+    tmp=$TMPDIR/gt$$-$RANDOM
+    (umask 077 && mkdir "$tmp")
+  } ||
+  {
+    echo "$0: cannot create a temporary directory in $TMPDIR" >&2
+    { (exit 1); exit 1; }
+  }
+}
+
+# Support for relocatability.
+func_find_curr_installdir ()
+{
+  # Determine curr_installdir, even taking into account symlinks.
+  curr_executable="$0"
+  case "$curr_executable" in
+    */* | *\\*) ;;
+    *) # Need to look in the PATH.
+      if test "${PATH_SEPARATOR+set}" != set; then
+        func_tmpdir
+        { echo "#! /bin/sh"; echo "exit 0"; } > "$tmp"/conf.sh
+        chmod +x "$tmp"/conf.sh
+        if (PATH="/nonexistent;$tmp"; conf.sh) >/dev/null 2>&1; then
+          PATH_SEPARATOR=';'
+        else
+          PATH_SEPARATOR=:
+        fi
+        rm -rf "$tmp"
+      fi
+      save_IFS="$IFS"; IFS="$PATH_SEPARATOR"
+      for dir in $PATH; do
+        IFS="$save_IFS"
+        test -z "$dir" && dir=.
+        for exec_ext in ''; do
+          if test -f "$dir/$curr_executable$exec_ext"; then
+            curr_executable="$dir/$curr_executable$exec_ext"
+            break 2
+          fi
+        done
+      done
+      IFS="$save_IFS"
+      ;;
+  esac
+  # Make absolute.
+  case "$curr_executable" in
+    /* | ?:/* | ?:\\*) ;;
+    *) curr_executable=`pwd`/"$curr_executable" ;;
+  esac
+  # Resolve symlinks.
+  sed_dirname='s,/[^/]*$,,'
+  sed_linkdest='s,^.* -> \(.*\),\1,p'
+  while : ; do
+    lsline=`LC_ALL=C ls -l "$curr_executable"`
+    case "$lsline" in
+      *" -> "*)
+        linkdest=`echo "$lsline" | sed -n -e "$sed_linkdest"`
+        case "$linkdest" in
+          /* | ?:/* | ?:\\*) curr_executable="$linkdest" ;;
+          *) curr_executable=`echo "$curr_executable" | sed -e "$sed_dirname"`/"$linkdest" ;;
+        esac ;;
+      *) break ;;
+    esac
+  done
+  curr_installdir=`echo "$curr_executable" | sed -e 's,/[^/]*$,,'`
+  # Canonicalize.
+  curr_installdir=`cd "$curr_installdir" && pwd`
+}
+func_find_prefixes ()
+{
+  # Compute the original/current installation prefixes by stripping the
+  # trailing directories off the original/current installation directories.
+  orig_installprefix="$orig_installdir"
+  curr_installprefix="$curr_installdir"
+  while true; do
+    orig_last=`echo "$orig_installprefix" | sed -n -e 's,^.*/\([^/]*\)$,\1,p'`
+    curr_last=`echo "$curr_installprefix" | sed -n -e 's,^.*/\([^/]*\)$,\1,p'`
+    if test -z "$orig_last" || test -z "$curr_last"; then
+      break
+    fi
+    if test "$orig_last" != "$curr_last"; then
+      break
+    fi
+    orig_installprefix=`echo "$orig_installprefix" | sed -e 's,/[^/]*$,,'`
+    curr_installprefix=`echo "$curr_installprefix" | sed -e 's,/[^/]*$,,'`
+  done
+}
+if test "no" = yes; then
+  exec_prefix="${prefix}"
+  bindir="${exec_prefix}/bin"
+  orig_installdir="$bindir" # see Makefile.am's *_SCRIPTS variables
+  func_find_curr_installdir # determine curr_installdir
+  func_find_prefixes
+  # Relocate the directory variables that we use.
+  gettext_dir=`echo "$gettext_dir/" | sed -e "s%^${orig_installprefix}/%${curr_installprefix}/%" | sed -e 's,/$,,'`
+fi
+
+# func_usage
+# outputs to stdout the --help usage message.
+func_usage ()
+{
+  echo "\
+Usage: autopoint [OPTION]...
+
+Copies standard gettext infrastructure files into a source package.
+
+Options:
+      --help           print this help and exit
+      --version        print version information and exit
+  -f, --force          force overwriting of files that already exist
+  -n, --dry-run        print modifications but don't perform them"
+#  echo "\
+#  -V version           copy the infrastructure of the specified gettext version
+#                         (dangerous)"
+  echo "
+Report bugs to <bug-gnu-gettext at gnu.org>."
+}
+
+# func_version
+# outputs to stdout the --version message.
+func_version ()
+{
+  echo "$progname (GNU $package) $version"
+  echo "Uses a versions archive in dir format."
+  echo "Copyright (C) 2002-2010 Free Software Foundation, Inc.
+License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
+This is free software: you are free to change and redistribute it.
+There is NO WARRANTY, to the extent permitted by law."
+  echo "Written by" "Bruno Haible"
+}
+
+# func_fatal_error message
+# outputs to stderr a fatal error message, and terminates the program.
+func_fatal_error ()
+{
+  echo "autopoint: *** $1" 1>&2
+  echo "autopoint: *** Stop." 1>&2
+  exit 1
+}
+
+# Command-line option processing.
+# Removes the OPTIONS from the arguments. Sets the variables:
+# - force           yes if --force was given, empty otherwise
+# - ver             gettext version if -V was given, empty otherwise
+# - doit            false if --dry-run was given, : otherwise
+{
+  force=
+  ver=
+  doit=:
+
+  while test $# -gt 0; do
+    case "$1" in
+      -n | --dry-run | --dry-ru | --dry-r | --dry- | --dry | --dr | --d )
+        shift
+        doit=false ;;
+      -f | --force | --forc | --for | --fo | --f )
+        shift
+        force=yes ;;
+      --help | --hel | --he | --h )
+        func_usage; exit 0 ;;
+#      -V ) # Some people put a space between -V and the version number.
+#        shift
+#        if test $# = 0; then
+#          func_usage 1>&2
+#          exit 1
+#        fi
+#        ver=$1;
+#        shift ;;
+#      -V*) # Some people omit the space between -V and the version number.
+#        ver=`echo "X$1" | sed -e 's/^X-V//'`
+#        shift ;;
+      --version | --versio | --versi | --vers | --ver | --ve | --v )
+        func_version
+        exit 0 ;;
+      -- ) # Stop option prcessing
+        shift; break ;;
+      -* )
+        echo "autopoint: unknown option $1" 1>&2
+        echo "Try 'autopoint --help' for more information." 1>&2
+        exit 1 ;;
+      * )
+        break ;;
+    esac
+  done
+}
+
+# Command-line argument processing.
+# Analyzes the remaining arguments.
+{
+  if test $# -gt 0; then
+    func_usage 1>&2
+    exit 1
+  fi
+}
+
+srcdir=`pwd`
+# The current directory is now $srcdir.
+
+# Check integrity of package: A configure.in/ac must be present. Sets variable
+# - configure_in    name of configure.in/ac file.
+if test -f configure.in; then
+  configure_in=configure.in
+else
+  if test -f configure.ac; then
+    configure_in=configure.ac
+  else
+    # KDE specific convention: configure.in.in
+    if test -f configure.in.in; then
+      configure_in=configure.in.in
+    else
+      func_fatal_error "Missing configure.in or configure.ac, please cd to your package first."
+    fi
+  fi
+fi
+
+# Check whether the -V option and the version number in configure.in match.
+# At least one of the two must be given. If both are given, they must agree.
+sed_extract_AM_GNU_GETTEXT_VERSION_argument='s/^AM_GNU_GETTEXT_VERSION(\([^()]*\)).*$/\1/'
+sed_remove_outer_brackets='s/^\[\(.*\)\]$/\1/'
+xver=`cat "$configure_in" | grep '^AM_GNU_GETTEXT_VERSION(' | sed -n -e "$sed_extract_AM_GNU_GETTEXT_VERSION_argument"p | sed -e "$sed_remove_outer_brackets" | sed -e 1q`
+if test -z "$xver" && test -f intl/VERSION; then
+  xver=`cat intl/VERSION | LC_ALL=C sed -n -e 's/^.*gettext-\([-+_.0-9A-Za-z]*\).*$/\1/p'`
+fi
+if test -n "$xver"; then
+  if test -n "$ver"; then
+    if test "X$ver" != "X$xver"; then
+      func_fatal_error "Version mismatch: specified -V $ver but the package uses gettext version $xver"
+    fi
+  else
+    ver="$xver"
+  fi
+else
+  if test -z "$ver"; then
+    func_fatal_error "Missing version: please specify in $configure_in through a line 'AM_GNU_GETTEXT_VERSION(x.yy.zz)' the gettext version the package is using"
+  fi
+fi
+
+# Check whether the version number is supported.
+case "$ver" in

@@ Diff output truncated at 10240 characters. @@



More information about the Bf-blender-cvs mailing list